#### D.6.3.7 arnoldDeterminacy

Procedure from library `arnoldclassify.lib` (see arnoldclassify_lib).

Usage:
  arnoldDeterminacy( I[, m]); I poly or ideal, m int.

Assume:
  the basering is local, I is the Jacobian ideal of a polynomial f with isolated critical point at 0, m is the Milnor number of f

Compute:
  determinacy bound k for f w.r.t. right equivalence

Return:
  integer k s.th. f is right-k-determined, -1 for infinity

Note:
  uses [Cor. A.9.7,GP12]

Example:

    LIB "arnoldclassify.lib";
    ring r=0,(x,y),ds;
    poly f=x3+xy3;
    ideal I=std(jacob(f));
    int k=arnoldDeterminacy(I);
    print(k);
    ==> 5

User manual for Singular version 4.4.1, 2025, generated by texi2html.